Description: Bump crypto requirement to accomodate security standards
 This patch ensures that the ssl engine does not complains about:
 - ssl.SSLError: [SSL: EE_KEY_TOO_SMALL] ee key too small (_ssl.c:2951)
 - ssl.SSLError: [SSL: CA_MD_TOO_WEAK] ca md too weak (_ssl.c:2951)
Author: Fabien Boucher <fboucher@redhat.com>
Origin: https://opendev.org/opendev/gear/commit/79e1c30
Bug-Debian: https://bugs.debian.org/973192
Last-Update: 2021-10-27

--- a/gear/tests/test_functional.py
+++ b/gear/tests/test_functional.py
@@ -75,7 +75,7 @@
 
     def create_cert(self, cn, issuer=None, signing_key=None):
         key = crypto.PKey()
-        key.generate_key(crypto.TYPE_RSA, 1024)
+        key.generate_key(crypto.TYPE_RSA, 2048)
 
         cert = crypto.X509()
         subject = cert.get_subject()
@@ -94,7 +94,7 @@
         else:
             cert.set_issuer(subject)
         if signing_key:
-            cert.sign(signing_key, 'sha1')
+            cert.sign(signing_key, 'sha256')
         else:
             cert.sign(key, 'sha1')
 
